Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Pulseaudio and PPC
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
Sodki
Guru
Guru


Joined: 11 Aug 2003
Posts: 419
Location: London, U.K. & Lisbon, Portugal

PostPosted: Sun Oct 12, 2008 11:08 pm    Post subject: Pulseaudio and PPC Reply with quote

I was wondering if there was anything preventing the keywording of pulseaudio on PPC (check this). I've searched through the list of open bugs and found nothing. I'm willing to test it, but I just wanted to know first if there is a blocker of some kind preventing the closing of bug #200076 on the PPC side.
Back to top
View user's profile Send private message
trigggl
Apprentice
Apprentice


Joined: 26 Aug 2007
Posts: 234
Location: Arkansas

PostPosted: Mon Oct 13, 2008 11:02 am    Post subject: Reply with quote

Do what I do.

I keyword it and test it. If it seems to work, I open a bug report/keyword request.

Code:
# ekeyword ~ppc /usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild

Quote:
/usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild
< KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc64 ~sparc ~x86"
---
> KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"

Code:
# ebuild /usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild manifest

Quote:
!!! getfetchlist(): 'media-sound/pulseaudio-0.9.12-r1' has unsupported EAPI: '2'

That's interesting. :? I'm thinking that could be a bug. So much for keywording.
_________________
Greg
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Mon Oct 13, 2008 11:39 am    Post subject: Reply with quote

Quote:
'media-sound/pulseaudio-0.9.12-r1' has unsupported EAPI: '2'


i think that means you need a portage version that supports EAPI2 and only the ~arch versions currently do.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Sodki
Guru
Guru


Joined: 11 Aug 2003
Posts: 419
Location: London, U.K. & Lisbon, Portugal

PostPosted: Mon Oct 13, 2008 12:34 pm    Post subject: Reply with quote

trigggl wrote:
Do what I do.

I keyword it and test it. If it seems to work, I open a bug report/keyword request.

Yes, me too, but I just wanted to make sure that there wasn't any blocker, seeing that Pulseaudio is on almost every other arch.


Quote:
Code:
# ekeyword ~ppc /usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild

Quote:
/usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild
< KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc64 ~sparc ~x86"
---
> KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"

Code:
# ebuild /usr/portage/media-sound/pulseaudio/pulseaudio-0.9.10.ebuild manifest

That's a bit ugly. It's easier to just use the /etc/portage/package.keywords file.

Quote:
Quote:
!!! getfetchlist(): 'media-sound/pulseaudio-0.9.12-r1' has unsupported EAPI: '2'

That's interesting. :? I'm thinking that could be a bug. So much for keywording.

It's not a bug, but a feature: https://bugs.gentoo.org/show_bug.cgi?id=200076#c6

You don't need baselayout-2 to test it, you just have to emerge a different revision.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum